%define name	gkrellm-plugins
%define version	2.1.16
%define release	2mdk

%define gkrellmms_version	2.1.12
%define gkrellweather_version	2.0.6
%define seti_version		0.7.0b
%define gkrellStock_version	0.5.1
%define gkrellShoot_version	0.4.1
%define snmp_version		0.18
%define gkrellmitime_version	1.0
%define volume_version		2.1.8
%define mailwatch_version	2.4.2
%define gkrellmss_version	2.3
%define gkrellmwireless_version	2.0.2
%define radio_version		2.0.3
%define gkrellkam_version	2.0.0
%define fmonitor_version	2.0.2
%define reminder_version	2.0.0
%define gkrellmoon_version	0.6
%define gkleds_version		0.8.0
%define gkrellmbgchg2_version	0.0.4
%define gkrellsun_version	0.9.1
%define gkx86info_version	0.0.2
%define hddtemp_version		0.2-beta
%define timers_version		1.2
%define gkrelltop_version	2.1
%define gkrelltop_real_version	2.2
%define gkrellmlaunch_version 0.5

Name:		%{name}
Summary:	Plugins for gkrellm
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://gkrellm.net
Source0:	%{name}.tar.bz2
Source1:	gkrellmms-%{gkrellmms_version}.tar.bz2
Source2:	gkrellm-volume-%{volume_version}.tar.bz2
Source3:	gkrellm-mailwatch-%{mailwatch_version}.tar.bz2
Source4:	gkrellmitime-%{gkrellmitime_version}.tar.bz2
Source5:	gkrellstock-%{gkrellStock_version}.tar.bz2
Source6:	gkrellshoot-%{gkrellShoot_version}.tar.bz2
Source7:	gkrellmss-%{gkrellmss_version}.tar.bz2
Source8:	gkrellmwireless-%{gkrellmwireless_version}.tar.bz2
Source9:	gkrellm-radio-%{radio_version}.tar.bz2
Source10:	gkrellkam_%{gkrellkam_version}.tar.bz2
Source11:	gkrellweather-%{gkrellweather_version}.tar.bz2
Source12:	gkrellm-fmonitor-%{fmonitor_version}.tar.bz2
Source13:	gkrellm-reminder-%{reminder_version}.tar.bz2
Source14:	gkrellmoon-%{gkrellmoon_version}.tar.bz2
Source15:	gkrellm_snmp-%{snmp_version}.tar.bz2
Patch1:		gkrellm_snmp-%{snmp_version}-gtk2.patch.bz2
Source16:	gkleds-%{gkleds_version}.tar.bz2
Source17:	gkrellmbgchg2-%{gkrellmbgchg2_version}.tar.bz2
Source18:	gkrellsun-%{gkrellsun_version}.tar.bz2
Source19:	gkx86info%{gkx86info_version}.tar.bz2
Source20:	seti-%{seti_version}.tar.bz2
Patch2:		seti-%{seti_version}-gkrellm2.patch.bz2
Source21:	gkrellm-hddtemp-%{hddtemp_version}.tar.bz2
Source22:	gkrellm_timers-%{timers_version}.tar.bz2
Source23:	gkrelltop.%{gkrelltop_real_version}.tar.bz2
Source24:	gkrellmlaunch-%{gkrellmlaunch_version}.tar.bz2 

Requires:	gkrellm = %{version}
BuildRequires:	gkrellm-devel = %{version}
BuildRequires:	xmms-devel
BuildRequires:	libgtk+2.0-devel
BuildRequires:	liblirc-devel
BuildRequires:	libfftw-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libesound0-devel
# (misc) for 
BuildRequires:  libopenssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
This package contains some plugins for gkrellm.  Included are the following
plugins:

  * gkrellmms, controls xmms
  * volume, controls mixer
  * mailwatch, watches individual mailboxes for new mail
  * gkrellmitime, displays internet time
  * gkrellmss, sound scope
  * gkrellmwireless, monitors the link quality of a wirless LAN card
  * gkrellm-radio, radio tuner interface
  * gkrellweather, checks and reports weather conditions
  * fmonitor, displays contents of files
  * reminder, a cron-lick scheduler
  * gkleds, plugin which monitors CapsLock, NumLock, ScrollLock
  * gkrellmbgchg, Change your background on a schedule
  * gkrellsun, Sunrise and Sunset display
  * gkx86info, Calculates Mhz/Ghz of processor
  * gkrellmoon, shows the phases of the moon
  * seti, displays information about your seti progress
  * gkrellm-hddtemp, displays temperatures of hard disks
  * gkrellmlaunch, allows one click access to programs

It also includes fetcho, a slim POP3-checking email client that can be used
instead of fetchmail.

%package snmp
Summary:	SNMP plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
BuildRequires:	libsnmp-devel

%description snmp
gkrellm_snmp, SNMP monitor.

%package stock
Summary:	Stock plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}

%description stock
gkrellStock, a stock monitor.

%package shoot
Summary:	Shoot plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
Requires:	ImageMagick

%description shoot
gkrellShoot, a screen locker and screen capture krell.

%package kam
Summary:	Kam plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
Requires:	wget

%description kam
gkrellkam, monitor static images such as webcams.

%prep
%setup -q -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
%setup -q -T -D -c -a 2 -n %{name}
%setup -q -T -D -c -a 3 -n %{name}
%setup -q -T -D -c -a 4 -n %{name}
%setup -q -T -D -c -a 5 -n %{name}
%setup -q -T -D -c -a 6 -n %{name}
%setup -q -T -D -c -a 7 -n %{name}
%setup -q -T -D -c -a 8 -n %{name}
%setup -q -T -D -c -a 9 -n %{name}
%setup -q -T -D -c -a 10 -n %{name}
%setup -q -T -D -c -a 11 -n %{name}
%setup -q -T -D -c -a 12 -n %{name}
%setup -q -T -D -c -a 13 -n %{name}
%setup -q -T -D -c -a 14 -n %{name}
%setup -q -T -D -c -a 15 -n %{name}
%setup -q -T -D -c -a 16 -n %{name}
%setup -q -T -D -c -a 17 -n %{name}
%setup -q -T -D -c -a 18 -n %{name}
%setup -q -T -D -c -a 19 -n %{name}
%setup -q -T -D -c -a 20 -n %{name}
%setup -q -T -D -c -a 21 -n %{name}
%setup -q -T -D -c -a 22 -n %{name}
%setup -q -T -D -c -a 23 -n %{name}
%setup -q -T -D -c -a 24 -n %{name}

(cd $RPM_BUILD_DIR/%{name}/gkrellm_snmp-%{snmp_version}
%patch1 -p1 -b .gtk2 
)
# Fix the path for the GrabWeather command
(cd $RPM_BUILD_DIR/%{name}/gkrellweather-%{gkrellweather_version}
perl -pi -e 's#/usr/local/bin#%{_bindir}#g; s#/usr/share/gkrellm#%{_bindir}#g;' gkrellweather.c
)
(cd $RPM_BUILD_DIR/%{name}/seti-%{seti_version}
%patch2 -p1 -b .gtk2
)

%build
(cd $RPM_BUILD_DIR/%{name}
# unsupported now?
gcc $RPM_OPT_FLAGS -o fetcho fetcho-pop-2.c
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmms
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-volume
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-mailwatch
make 
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmitime-%{gkrellmitime}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellStock-%{gkrellStock_version}
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellShoot-%{gkrellShoot_version}
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmss-%{gkrellmss_version}
make 
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmwireless
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-radio
make WITH_LIRC=1
)

(cd $RPM_BUILD_DIR/%{name}/gkrellkam-%{gkrellkam_version}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkleds-%{gkleds_version}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmbgchg2-%{gkrellmbgchg2_version}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-fmonitor-%{fmonitor_version}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmoon-%{gkrellmoon_version}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-reminder-%{reminder_version}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm_snmp-%{snmp_version}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-volume
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellsun-%{gkrellsun_version}/src20
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellweather-%{gkrellweather_version}
make
)
%ifarch %ix86
(cd $RPM_BUILD_DIR/%{name}/gkx86info%{gkx86info_version}
./build
)
%endif
(cd $RPM_BUILD_DIR/%{name}/seti-%{seti_version}
make
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-hddtemp-%{hddtemp_version}
make gkrellm2
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm_timers-%{timers_version}
make
)
( cd $RPM_BUILD_DIR/%{name}/gkrelltop-%{gkrelltop_version}
make clean
make
)
( cd $RPM_BUILD_DIR/%{name}/gkrellmlaunch-%{gkrellmlaunch_version}
make
)
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/fetcho $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmms/gkrellmms.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-volume/volume.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-mailwatch/mailwatch.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmitime-%{gkrellmitime_version}/gkrellm_itime.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellStock-%{gkrellStock_version}/gkrellstock.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellStock-%{gkrellStock_version}/GetQuote2 $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellShoot-%{gkrellShoot_version}/gkrellshoot.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmss-%{gkrellmss_version}/src/gkrellmss.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmwireless/wireless.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-radio/radio.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
(cd $RPM_BUILD_DIR/%{name}/gkrellkam-%{gkrellkam_version}
%makeinstall_std
)
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellweather-%{gkrellweather_version}/gkrellweather.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellweather-%{gkrellweather_version}/GrabWeather $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-fmonitor-%{fmonitor_version}/fmonitor.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-fmonitor-%{fmonitor_version}/sensors.tcl $RPM_BUILD_ROOT%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-reminder-%{reminder_version}/reminder.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm_snmp-%{snmp_version}/gkrellm_snmp.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkleds-%{gkleds_version}/gkleds.so  $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmbgchg2-%{gkrellmbgchg2_version}/gkrellmbgchg.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellsun-%{gkrellsun_version}/src20/gkrellsun.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
%ifarch %ix86
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkx86info%{gkx86info_version}/gkx86info.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
%endif
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmoon-%{gkrellmoon_version}/gkrellmoon.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/seti-%{seti_version}/seti.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-hddtemp-%{hddtemp_version}/gkrellm-hddtemp.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm_timers-%{timers_version}/gkrellm_timers.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrelltop-%{gkrelltop_version}/gkrelltop2.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmlaunch-%{gkrellmlaunch_version}/gkrellmlaunch.so $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins

# setup various docs
cp $RPM_BUILD_DIR/%{name}/gkrellStock-%{gkrellStock_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellStock
cp $RPM_BUILD_DIR/%{name}/gkrellmss-%{gkrellmss_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellmss
cp $RPM_BUILD_DIR/%{name}/gkrellmss-%{gkrellmss_version}/Themes $RPM_BUILD_DIR/%{name}/Themes.gkrellmss
cp $RPM_BUILD_DIR/%{name}/gkrellm-radio/README $RPM_BUILD_DIR/%{name}/README.gkrellm-radio
cp $RPM_BUILD_DIR/%{name}/gkrellm-radio/lirc.example $RPM_BUILD_DIR/%{name}/gkrellm-radio.lirc.example
cp $RPM_BUILD_DIR/%{name}/gkrellkam-%{gkrellkam_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellkam
cp $RPM_BUILD_DIR/%{name}/gkrellweather-%{gkrellweather_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellweather
cp $RPM_BUILD_DIR/%{name}/gkrellm-fmonitor-%{fmonitor_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellm-fmonitor
cp $RPM_BUILD_DIR/%{name}/gkrellm-reminder-%{reminder_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellm-reminder
cp $RPM_BUILD_DIR/%{name}/gkrellm_snmp-%{snmp_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellm_snmp
cp $RPM_BUILD_DIR/%{name}/gkrellm_snmp-%{snmp_version}/FAQ $RPM_BUILD_DIR/%{name}/FAQ.gkrellm_snmp
cp $RPM_BUILD_DIR/%{name}/gkleds-%{gkleds_version}/README $RPM_BUILD_DIR/%{name}/README.gkleds
cp $RPM_BUILD_DIR/%{name}/gkleds-%{gkleds_version}/Themes $RPM_BUILD_DIR/%{name}/Themes.gkleds
chmod a+r-x $RPM_BUILD_DIR/%{name}/*.gkleds
cp $RPM_BUILD_DIR/%{name}/gkrellmbgchg2-%{gkrellmbgchg2_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellmbgchg2
cp $RPM_BUILD_DIR/%{name}/gkrellsun-%{gkrellsun_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellsun
%ifarch %ix86
cp $RPM_BUILD_DIR/%{name}/gkx86info%{gkx86info_version}/README $RPM_BUILD_DIR/%{name}/README.gkx86info
%endif 
cp $RPM_BUILD_DIR/%{name}/gkrellmoon-%{gkrellmoon_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellmoon
chmod a+r $RPM_BUILD_DIR/%{name}/README.gkrellmoon
cp $RPM_BUILD_DIR/%{name}/seti-%{seti_version}/README $RPM_BUILD_DIR/%{name}/README.seti
cp $RPM_BUILD_DIR/%{name}/gkrellm-hddtemp-%{hddtemp_version}/README $RPM_BUILD_DIR/%{name}/README.gkrellm-hddtemp

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}

%files 
%defattr(-,root,root)
%doc README.* *.example FAQ.* Themes.*
%{_libdir}/gkrellm2/plugins/*
%exclude %{_libdir}/gkrellm2/plugins/gkrellm_snmp.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellstock.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellshoot.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellkam2.so
%{_bindir}/fetcho 
%{_bindir}/GrabWeather
%{_bindir}/sensors.tcl

%files snmp
%defattr(-,root,root)
%{_libdir}/gkrellm2/plugins/gkrellm_snmp.so

%files stock
%defattr(-,root,root)
%{_libdir}/gkrellm2/plugins/gkrellstock.so
%{_bindir}/GetQuote2

%files shoot
%defattr(-,root,root)
%{_libdir}/gkrellm2/plugins/gkrellshoot.so

%files kam
%defattr(-,root,root)
%{_libdir}/gkrellm2/plugins/gkrellkam2.so

%changelog

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 2.1.16-2mdk
- BuildRequires libopenssl-devel, for snmp plugin

* Sat Aug 23 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.16-1mdk
- rebuild against gkrellm 2.1.16

* Sat Aug 09 2003 Michael Scherer <scherer.michael@free.fr> 2.1.15-2mdk
- + gkrellmlaunch ( 0.5 )
 
* Thu Aug 07 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.15-1mdk
- rebuild against gkrellm 2.1.15
- no buildrequires libgtk1.2-devel

* Mon Jun 30 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.14-1mdk
- rebuild against gkrellm 2.1.14
- gkrellweather -> 2.0.6
- gkrellstock -> 0.5.1
- gkrellm-volume -> 2.1.8
- gkrellmms -> 2.1.12
- gkrellm-mailwatch -> 2.4.2
- gkrelltop -> 2.2
- used macros for specific plugins versions

* Thu Jun 19 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.12-2mdk
- split up some subpackages to leverage depndencies
- spec cleanup

* Tue Jun 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.1.12-1mdk
- rebuild against gkrellm 2.1.12

* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.7a-4mdk
- buildrequires (stefan spam ;)
- distlint error

* Sat Apr 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.7a-3mdk
- gkrellmms -> 2.1.9
- gkrellm-mailwatch -> 2.3.1
- gkrellm-radio -> 2.0.3
- + gkrellm_timers (1.2)
- + gkrelltop (2.1)

* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.1.7a-2mdk
- %%ix86 sucks, gkx86info does not exist on ppc/alpha/sparc

* Thu Jan 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7a-1mdk
- rebuild against gkrellm 2.1.7a

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 2.1.5-2mdk
- changes from Ben Reser:
  - Lots of new goodies:
    gkrellweather 2.0.5
    fmonitor 2.0.2
    reminder 2.0.0
    gkrellm_snmp 0.18 (patched for gkrellm2)
    gkleds 0.8.0
    bkrellmbgchg2 0.0.4
    gkrellsun 0.9.1
    gkx86info 0.0.2
    gkrellmoon 0.6
  - Removed uneeded ppc pmud requires since there is
    no pmud plugin for gkrellm2 :(
  - Updated gkrellmss to 2.3 and re-enabled it now that fftw is
    in contrib
  - Updated gkrellmvolume & gkrellmms to 2.1.7
  - Cleanup so package no longer uses /usr/X11R6

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Recompiled against gkrellm 2.1.5
- Remove old prefix, since main package don't use it anymore
- gkrellmms 2.1.6
- gkrellm-volume 2.1.6
- gkrellm-mailwatch 2.1
- gkrellmss 2.3
- gkrellmwireless 2.0.2
- gkrellm-radio 2.0.2

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.4-2mdk
- Add gkrellkam2 2.0.0
- Fix build for gkrellmitime
- Remove obsolete build lines for gkrellm-gnome
- Fix dependencies

* Wed Oct 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 2.0.4-1mdk
- gkrellm-volume 2.1.4
- gkrellmms 2.1.2
- gkrellm-mailwatch 2.0
- gkrellmwireless 2.0.0
- gkrellm-radio 2.0.1
- gkrellmitime 1.0
- gkrellstock 0.5
- gkrellshoot 0.4.1
- gkrellmss 2.0 (disabled currently)
- remove all 1.x plugins not ported to 2.x

* Thu Oct 03 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2.13-2mdk
- gkleds 0.6.1

* Sat Aug 10 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.13-1mdk
- rebuild for 1.2.13
- gkrellkam-0.3.4
- gkrellm-radio-0.3.3
- Requires: wget (for gkrellkam)
- more macros
- BuildRequires: liblirc-devel

* Mon May 06 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.11-1mdk
- rebuild for 1.2.11
- gkrellmms 0.5.6
- new gktaskman-0.0.7
- new gkrelmwireless-0.2.2

* Thu Jan 31 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.8-1mdk
- rebuild for 1.2.8
- Requires: gnome-libs-devel
- Requires: s/ucd-snmp-devel/libsnmp-devel/

* Wed Nov 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- rebuild for 1.2.4 by Ryan T. Sammartino <ryants@shaw.ca>

* Sun Sep 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.2.2-1mdk
- rebuild for 1.2.2
- need to define IMLIB_INCLUDE and GTK_INCLUDE in spec so can use
  optimization for all krells
- updated mailwatch to 0.7
- lots of new goodies:
  - fmonitor 0.3
  - gkrellmitime 0.4
  - gkrellscore 0.0.2
  - glogwatch 1.0
  - gkrellstock 0.2 
  - gkrellshoot 0.2
  - gkrinn 0.5-1
  - gkrellmwho 0.4
  - reminder 0.3.1
  - gkrellmoon 0.3
  - gkrellm_snmp 0.18
  - gkrellmss 0.2

* Wed Aug  9 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-1mdk
- rebuild for 1.2.1 - move plugins to /usr/lib/gkrellm per FHS
- add gkrellm-pmu, gkrellm-gnome (marc heckmann)

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- rebuild for 1.0.8
- updated plugins

* Wed Mar 14 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.7-1mdk
- rebuild for 1.0.7

* Wed Jan 31 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-1mdk
- rebuild for 1.0.6

* Tue Jan 23 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1mdk
- rebuild for 1.0.5

* Tue Jan 16 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-1mdk
- rebuild for 1.0.4
- plugin_fan compiles again so it's back in

* Sun Jan 07 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.3-1mdk
- rebuild for 1.0.3
- remove the plugin_fan plugin...  doesn't look like it's supported anymore
  and it won't build anymore either

* Wed Nov 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- build for 1.0.2
- rename primary sourcefile so it has no version (silly to keep changing
  it for every new version since the plugins don't change)

* Fri Oct 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-1mdk
- build for 1.0.1

* Fri Oct 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.0-1mdk
- build for 1.0.0

* Mon Aug  7 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-1mdk
- build for 0.10.5
- added stricter version checking for dependencies

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.4-1mdk
- new package for gkrellm plugins
- gkrellmms 0.5.4
- add gkrellweather 0.2.3
- add volume 0.6
- add mailwatch 0.2
- added slim fetcho email fetching client
- remove seti@home since it never compiles properly
